package com.casic.PgInterface.patroler.dto;

import com.casic.PgInterface.patroler.domain.PgUser;

/**
 * Created by yxw on 2017/11/2.
 */
public class PgUserDto{

    private String id;
    private String userName;//用户名
    private String password;//密码
    private String department;//部门
    private String post;//职务
    private String phoneNumber;//电话
    private String active;//状态位

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public PgUserDto(PgUser pgPatroler)
    {
        this.setId(String.valueOf(pgPatroler.getId()));
        this.setUserName(pgPatroler.getUserName());
        this.setPassword(pgPatroler.getPassword());
        this.setDepartment(pgPatroler.getDepartment());
        this.setPhoneNumber(pgPatroler.getPhoneNumber());
        this.setPost(pgPatroler.getPost());
        this.setActive(String.valueOf(pgPatroler.getActive()));
    }


}
